#####
###  MailBoxer - a mailinglist/newsletter/mailarchive-framework for ZOPE
##   Copyright (C) 2002	Maik Jablonski (maik.jablonski@uni-bielefeld.de)
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
##   along with this program; if not, write to the Free Software
###  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#####

MailBoxerTemplates={}

# This method will be copied into your MailBoxer-Folder.

MailBoxerTemplates['mail_bulk'] = """<dtml-comment>
This scripts bulks the email & attachments to the list. Change it as you like.
But don't delete the X-Mailer. It's important to avoid endless mail-loops.
</dtml-comment>

<dtml-call "securityCheck(REQUEST)">

<dtml-sendmail mailhost="MailHost">
To: <dtml-var mailto>
From: <dtml-var mailfrom>
<dtml-in maillist>Bcc: <dtml-var sequence-item>
</dtml-in>
Subject: <dtml-if "mailsubject.find(title)==-1">[<dtml-var title>]</dtml-if> <dtml-var mailsubject>
X-Mailer: <dtml-var xmailer>
Precedence: Bulk
<dtml-if "REQUEST.has_key('attachments')"><dtml-nmime type="text/plain" encode="7bit">

<dtml-var mailbody>
--
To unsubscribe send a email with subject '<dtml-var unsubscribe>' to <dtml-var mailto>
Please contact <dtml-var moderator> for questions.

<dtml-in "REQUEST['attachments']"><dtml-nboundary
type_expr="_['sequence-item'].filetype" 
disposition="attachment" 
encode="base64" 
filename_expr="_['sequence-item'].filename"><dtml-var expr="_['sequence-item'].filecontent"></dtml-nboundary></dtml-in></dtml-nmime>
<dtml-else>
<dtml-var mailbody>
--
To unsubscribe send a email with subject '<dtml-var unsubscribe>' to <dtml-var mailto>
Please contact <dtml-var moderator> for questions.
</dtml-if>
</dtml-sendmail>
"""

# This method will be copied into your mailBoxer-Folder.

MailBoxerTemplates['mail_subscribe'] = """<dtml-comment>
This scripts sends an subscription-mail to the new member. Change it as you like.
But don't delete the X-Mailer. It's important to avoid endless mail-loops.
</dtml-comment>

<dtml-call "securityCheck(REQUEST)">

<dtml-sendmail mailhost="MailHost">
To: <dtml-var mailfrom>
From: <dtml-var moderator>
X-Mailer: <dtml-var xmailer>
Subject: [<dtml-var title>] Welcome to <dtml-var title>

Hello <dtml-var mailfrom>,

you are now subscribed to <dtml-var title>.

Send your mails to: <dtml-var mailto>

If you want to unsubscribe from <dtml-var title>,
send a mail with the subject (not the body!):

<dtml-var unsubscribe> 

to: <dtml-var mailto>

Yours,
<dtml-var moderator>
</dtml-sendmail>
"""

# This method will be copied into your mailBoxer-Folder.

MailBoxerTemplates['mail_unsubscribe'] = """<dtml-comment>
This scripts sends an unsubscription-mail to the lost member. Change it as you like.
But don't delete the X-Mailer. It's important to avoid endless mail-loops.
</dtml-comment>

<dtml-call "securityCheck(REQUEST)">

<dtml-sendmail mailhost="MailHost">
To: <dtml-var mailfrom>
From: <dtml-var moderator>
X-Mailer: <dtml-var xmailer>
Subject: [<dtml-var title>] Unsubscribed from <dtml-var title>

Now you are unsubscribed from <dtml-var title>.

Yours,
<dtml-var moderator>
</dtml-sendmail>
"""

# This method will be copied into your mailBoxer-Folder.

MailBoxerTemplates['mail_reply'] = """<dtml-comment>
This scripts sends an 'error' reply to the sender. Change it as you like.
But don't delete the X-Mailer. It's important to avoid endless mail-loops.
</dtml-comment>

<dtml-call "securityCheck(REQUEST)">

<dtml-sendmail mailhost="MailHost">
To: <dtml-var mailfrom>
From: <dtml-var moderator>
X-Mailer: <dtml-var xmailer>
<dtml-if moderated>Subject: [<dtml-var title>] Message arrived

Your message will be checked as soon as possible.

Thank you for patience.
<dtml-else>Subject: [<dtml-var title>] Mail unprocessed

You are not subscribed to [<dtml-var title>].
</dtml-if>

Yours,
<dtml-var moderator>
</dtml-sendmail>
"""

# This method will be copied into your mailBoxer-Folder.

MailBoxerTemplates['index_html'] = """<dtml-var standard_html_header>

<dtml-comment>
This script is an example for displaying the mail-folders and emails.
Modify it for your needs!!!
</dtml-comment>

<p>
<dtml-in "PARENTS[1:]" reverse>
<a href="&dtml-absolute_url;"><dtml-var title_or_id></a>&nbsp;
</dtml-in>
</p>

<ul>
<dtml-in "objectValues('Folder')">
<li><dtml-if mailDate><b><dtml-var "mailDate.Time()"></b> </dtml-if><a href="&dtml-absolute_url;"><dtml-var title_or_id html_quote></a><br>
<dtml-if mailBody><dtml-var "mailBody[:80]" html_quote>...<br><br></dtml-if></li>
</dtml-in>
</ul>

<dtml-if mailDate>
<table>
<tr>
<td>Subject:</td><td><dtml-var mailSubject html_quote missing=""></td>
</tr><tr>
<td>From:</td><td><dtml-var mailFrom html_quote missing=""></td>
</tr><tr>
<td>Date:</td><td><dtml-var mailDate html_quote missing=""></td>
</tr>
</table>

<hr noshade>

<table>
<tr><td><pre><dtml-var mailBody html_quote missing=""></pre></td></tr>
<dtml-if "objectValues('File')">
<tr><td><hr noshade><p><b>Attachments:</b></p>
<table>
<dtml-in "objectValues('File')">
<tr><td><a href="&dtml-absolute_url;"><dtml-var title></a></td><td><dtml-var content_type></td><td><dtml-var size> Bytes</td></tr>
</dtml-in>
</table>
</td></tr>
</dtml-if>
</table>
</dtml-if>

<dtml-var standard_html_footer>
"""
